Arch NetzAufteilen

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Arch SplitMesh and the translation is 50% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Arch Component Clone.svg Komponente klonen Vorherige:
Nächste: Netz zu Form Arch MeshToShape.svg Arrow-right.svg

Arch SplitMesh.svg Arch NetzAufteilen

Menüeintrag
Arch → Dienstprogramme → Netz zerlegen
Arbeitsbereich
Arch-Arbeitsbereich
Standardtastenkürzel
Keiner
Eingeführt in Version
-
Siehe auch
Arch SelectNonSolidMeshes, Arch NetzZuForm

Beschreibung

Diese Werkzeug teilt ein ausgewähltes Mesh Objekt in seine einzelnen Bestandteile.

Anwendung

  1. Wähle ein Netzobjekt
  2. Drücke den Arch SplitMesh.svg Netz aufteilen Eintrag in Arch → Dienstprogramme → Netz aufteilen

Skripten

Siehe auch: Arch API und FreeCAD Grundlagen Skripten.

Das NetzAufteilen Werkzeug kann in Makros und aus der Python Konsole heraus durch folgende Funktion verwendet werden:

new_list = splitMesh(obj, mark=True)
  • Teilt das gegebene Netzobjekt obj in einzelne Bestandteile.
  • Falls mark auf True gesetzt ist, werden nicht-mannigfaltige Komponenten rot dargestellt.
  • new_list ist eine Liste aller einzelnen Komponenten, aus denen das Netz besteht.

Beispiel:

import FreeCAD, Draft, Arch, Mesh, MeshPart

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)
FreeCAD.ActiveDocument.recompute()

Shape = Wall.Shape.copy(False)
Shape.Placement = Wall.getGlobalPlacement()

mesh_obj = FreeCAD.ActiveDocument.addObject("Mesh::Feature", "Mesh")
mesh_obj.Mesh = MeshPart.meshFromShape(Shape=Shape, MaxLength=520)
mesh_obj.ViewObject.DisplayMode = "Flat Lines"

new_list = Arch.splitMesh(mesh_obj)
Arrow-left.svg Arch Component Clone.svg Komponente klonen Vorherige:
Nächste: Netz zu Form Arch MeshToShape.svg Arrow-right.svg